Bug 47921 - PEAR ports: handling PEAR's registry.
Summary: PEAR ports: handling PEAR's registry.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-04 23:40 UTC by Thierry Thomas
Modified: 2003-02-24 05:27 UTC (History)
0 users

See Also:


Attachments
pear-reg.tar.bz2 (4.26 KB, text/plain)
2003-02-04 23:40 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2003-02-04 23:40:03 UTC
	PEAR uses a "registry" to register installed modules, and this
	registry is initialized during the installation of mod_php4
	(since 4.3.0).

	Unfortunately, installing PEAR modules through the ports does
	not maintain this registry.

	This PR fix this problem for the following ports:
	- sysutils/pear-Log
	- devel/pear-PEAR
	- devel/pear-Date
	- devel/pear-I18N
	- devel/pear-HTML_Common
	- devel/pear-HTML_Select_Common
	- security/pear-Crypt_CBC
	- mail/pear-Mail_Mime
	- net/pear-Net_Sieve
	- sysutils/pear-File
	- archivers/pear-Archive_Tar

	Note: for the ports bundled with mod_php4 (i.e. devel/pear-PEAR and
	archivers/pear-Archive_Tar), the registry is updated during the upgrade,
	but not during the deinstallation => it is only cleaned when you
	deinstall devel/pear-install.

Fix: Pre-requisite: please commit PR ports/47769, PR ports/47819, and
		PR ports/47820 before this PR.

	Then, please apply the patches included in the following uuencoded
	bzipped tarball:

How-To-Repeat: 	Install mod_php4, and then type `pear list', note the result;
	Install some pear- ports (e.g. sysutils/pear-Log), type `pear list',
	and compare the results: no change.
Comment 1 Edwin Groothuis freebsd_committer 2003-02-12 06:08:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin-ports-bugs

Waiting for ports/47769 to be repocopied.
Comment 2 Edwin Groothuis freebsd_committer 2003-02-12 06:12:34 UTC
Responsible Changed
From-To: edwin-ports-bugs->edwin

Fix responsible.
Comment 3 Edwin Groothuis freebsd_committer 2003-02-24 05:27:46 UTC
State Changed
From-To: open->closed

Commited, thanks!